<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:jaxws="http://cxf.apache.org/jaxws"
	xmlns:sec="http://cxf.apache.org/configuration/security" xmlns:wsa="http://cxf.apache.org/ws/addressing"
	xmlns:p="http://www.springframework.org/schema/p" xmlns:http="http://cxf.apache.org/transports/http/configuration"
	xmlns:t="http://dnetlib.eu/springbeans/t" xmlns:template="http://dnetlib.eu/springbeans/template"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
                                    http://cxf.apache.org/ws/addressing http://cxf.apache.org/schemas/ws-addr-conf.xsd
                                    http://cxf.apache.org/configuration/security http://cxf.apache.org/schemas/configuration/security.xsd
                                    http://cxf.apache.org/transports/http/configuration http://cxf.apache.org/schemas/configuration/http-conf.xsd
                            http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd
                            http://dnetlib.eu/springbeans/template http://dnetlib.eu/springbeans/template.xsd">

	<!-- beans -->
	<bean id="cleanerService" 
		class="eu.dnetlib.data.utility.cleaner.CleanerServiceImpl"
		init-method="start" destroy-method="stop" p:cleaningRuleFactory-ref="cleaningRuleFactory"
		p:mappedResultSetFactory-ref="${service.cleaner.mapped.resultset.factory}" />
	
	<bean id="cleaningRuleFactory"
		class="eu.dnetlib.data.utility.cleaner.CleaningRuleFactory" 
		p:serviceLocator-ref="uniqueServiceLocator">
	</bean>
	
	<!-- endpoints -->
	<jaxws:endpoint id="cleanerServiceEndpoint" implementor="#cleanerService"
		implementorClass="eu.dnetlib.data.utility.cleaner.rmi.CleanerService"
		address="/cleaner" />
		
	<template:instance name="serviceRegistrationManager"
		t:serviceRegistrationManagerClass="eu.dnetlib.enabling.tools.registration.ValidatingServiceRegistrationManagerImpl"
		t:name="cleanerServiceRegistrationManager" t:service="cleanerService"
		t:endpoint="cleanerServiceEndpoint" t:jobScheduler="jobScheduler"
		t:serviceRegistrator="blackboardServiceRegistrator" />
		
</beans>
